---
title: MSGestureEvent
slug: Web/API/MSGestureEvent
tags:
  - API
  - DOM
  - Interface
  - Non-standard
  - Reference
---
<p id="Summary">{{APIRef("DOM Events")}}</p>

<p>{{Non-standard_header()}}</p>

<p>The <code><strong>MSGestureEvent</strong></code> is a proprietary interface specific to Internet Explorer and Microsoft Edge which represents events that occur due to touch gestures. Events using this interface include {{event("MSGestureStart")}}, {{event("MSGestureEnd")}}, {{event("MSGestureTap")}}, {{event("MSGestureHold")}}, {{event("MSGestureChange")}}, and {{event("MSInertiaStart")}}.</p>

<p><code>MSGestureEvent</code> derives from {{domxref("UIEvent")}}, which in turn derives from {{domxref("Event")}}. Though the {{domxref("MSGestureEvent.initGestureEvent()")}} method is kept for backward compatibility, the creation of an <code>MSGestureEvent</code> object should be done using the {{domxref("MSGestureEvent.MSGestureEvent", "MSGestureEvent()")}} constructor.</p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("MSGestureEvent.MSGestureEvent", "MSGestureEvent()")}}</dt>
 <dd>Creates an <code>MSGestureEvent</code> object.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<p><em>This interface also inherits properties of its parents, {{domxref("UIEvent")}} and {{domxref("Event")}}.</em></p>

<dl>
 <dt>{{domxref("MSGestureEvent.expansion")}} {{readonlyinline}}</dt>
 <dd>The diameter of the gesture area. For example, the distance between fingers.</dd>
 <dt>{{domxref("MSGestureEvent.gestureObject")}} {{readonlyinline}}</dt>
 <dd>Returns the {{domxref("MSGesture")}} object for this gesture event.</dd>
 <dt>{{domxref("MSGestureEvent.rotation")}} {{readonlyinline}}</dt>
 <dd>Amount of rotation (in radians) since the previous {{domxref("MSGestureEvent")}} of the current gesture. Positive values indicate clockwise rotation; negative values indicate anticlockwise rotation.</dd>
 <dt>{{domxref("MSGestureEvent.scale")}} {{readonlyinline}}</dt>
 <dd>The difference in scale (for zoom gestures) from the previous {{domxref("MSGestureEvent")}} of the current gesture.</dd>
 <dt>{{domxref("MSGestureEvent.translationX")}} {{readonlyinline}}</dt>
 <dd>Distance traversed along the X-axis since the previous {{domxref("MSGestureEvent")}} of the current gesture</dd>
 <dt>{{domxref("MSGestureEvent.translationY")}} {{readonlyinline}}</dt>
 <dd>Distance traversed along the Y-axis since the previous {{domxref("MSGestureEvent")}} of the current gesture</dd>
 <dt>{{domxref("MSGestureEvent.velocityAngular")}} {{readonlyinline}}</dt>
 <dd>Angular velocity. Expressed in radians.</dd>
 <dt>{{domxref("MSGestureEvent.velocityExpansion")}} {{readonlyinline}}</dt>
 <dd>The velocity of the expansion of the gesture area.</dd>
 <dt>{{domxref("MSGestureEvent.velocityX")}} {{readonlyinline}}</dt>
 <dd>Velocity along the direction of the X-axis.</dd>
 <dt>{{domxref("MSGestureEvent.velocityY")}} {{readonlyinline}}</dt>
 <dd>Velocity along the direction of the Y-axis.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface also inherits methods of its parents, {{domxref("UIEvent")}} and {{domxref("Event")}}.</em></p>

<dl>
 <dt>{{domxref("MSGestureEvent.initGestureEvent()")}} {{deprecated_inline}}</dt>
 <dd>Initializes the value of an <code>MSGestureEvent</code>. If the event has already being dispatched, this method does nothing. This method is deprecated as of Microsoft Edge.</dd>
</dl>

<h2 id="Gesture_event_types">Gesture event types</h2>

<ul>
 <li>{{event("MSGestureStart")}}</li>
 <li>{{event("MSGestureEnd")}}</li>
 <li>{{event("MSGestureTap")}}</li>
 <li>{{event("MSGestureHold")}}</li>
 <li>{{event("MSGestureChange")}}</li>
 <li>{{event("MSInertiaStart")}}</li>
</ul>

<h2 id="Specifications">Specifications</h2>

<p><em>Not part of any specification.</em> Microsoft has <a href="https://msdn.microsoft.com/en-us/library/hh772076(v=vs.85).aspx">a description on MSDN</a>.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MSGestureEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>WebKit equivalents:
  <ul>
   <li>{{domxref("GestureEvent")}}</li>
   <li>{{event("gesturestart")}}</li>
   <li>{{event("gesturechange")}}</li>
   <li>{{event("gestureend")}}</li>
  </ul>
 </li>
</ul>
